/* 
 * File:   CDBPermanentException.h
 * Author: martynia
 *
 * Created on August 10, 2016, 11:18 AM
 */

#include <iostream>
#include <exception>
#include "CDBException.h"

#ifndef CDBPERMANENTEXCEPTION_H
#define	CDBPERMANENTEXCEPTION_H

namespace MAUS {
    namespace CDB {

        class CDBPermanentException : public CDBException {
        public:
            CDBPermanentException() _NOEXCEPT;
            CDBPermanentException(const CDBPermanentException& orig) _NOEXCEPT;
            CDBPermanentException(std::string& message) _NOEXCEPT;
            CDBPermanentException& operator=(const CDBPermanentException&) _NOEXCEPT;
            //virtual const char* what() const _NOEXCEPT;
            virtual ~CDBPermanentException() _NOEXCEPT;
        private:

        };

    }
}
#endif	/* CDBPERMANENTEXCEPTION_H */

