/* 
 * File:   CDBResponseHandler.h
 * Author: martynia
 *
 * Created on August 9, 2016, 2:21 PM
 */
#include <libxml/parser.h>
#include <iostream>

#ifndef CDBRESPONSEHANDLER_H
#define	CDBRESPONSEHANDLER_H

namespace MAUS {
    namespace CDB {

        class CDBResponseHandler {
        public:
            CDBResponseHandler();
            virtual ~CDBResponseHandler();
            void analyze(const char *xml);
            const std::string& getMessage() const;
        private:
            xmlDocPtr doc;
            xmlNodePtr cur;
            std::string message;
        };
    }
}
#endif	/* CDBRESPONSEHANDLER_H */

