/* 
 * File:   CDBException.h
 * Author: martynia
 *
 * Created on August 8, 2016, 4:59 PM
 */

#include <iostream>
#include <exception>

#ifndef CDBEXCEPTION_H
#define	CDBEXCEPTION_H


namespace MAUS {
    namespace CDB {

        class CDBException : public std::exception {
        public:
            CDBException() _NOEXCEPT;
            CDBException(const CDBException& orig) _NOEXCEPT;
            CDBException(std::string& message) _NOEXCEPT;
            virtual const char* what() const _NOEXCEPT;
            CDBException& operator=(const CDBException&) _NOEXCEPT;
            virtual ~CDBException() _NOEXCEPT;
        protected:
            std::string message;
        };
    }
}
#endif	/* CDBEXCEPTION_H */

